package org.richfaces.cdk;

import java.io.IOException;
import java.util.Map;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;
import javax.faces.render.Renderer;

public class FooRenderer extends Renderer {

    @Override
    public void encodeEnd(FacesContext context, UIComponent component) throws IOException {
        super.encodeEnd(context, component);
        
        Map<String, Object> attributes = component.getAttributes();
        if (Boolean.TRUE.equals(attributes.get("shouldWriteValue"))) {
            ResponseWriter responseWriter = context.getResponseWriter();
            responseWriter.writeText(attributes.get("value"), null);
        }
    }
}
